# Interface StaticEventEmitterIteratorOptions

interface StaticEventEmitterIteratorOptions {
close ?: string[];
highWaterMark ?: number;
lowWaterMark ?: number;
signal ?: AbortSignal;
}

#### Hierarchy (View Summary)

- StaticEventEmitterOptions
  - StaticEventEmitterIteratorOptions

- Defined in node_modules/@types/node/events.d.ts:84

##### Index

### Properties

close?
highWaterMark?
lowWaterMark?
signal?

## Properties

### `Optional` close

close?: string[]

Names of events that will end the iteration.

- Defined in node_modules/@types/node/events.d.ts:88

### `Optional` highWaterMark

highWaterMark?: number

The high watermark. The emitter is paused every time the size of events being buffered is higher than it. Supported only on emitters implementing `pause()` and `resume()` methods.

#### Default

    Number.MAX_SAFE_INTEGER

- Defined in node_modules/@types/node/events.d.ts:94

### `Optional` lowWaterMark

lowWaterMark?: number

The low watermark. The emitter is resumed every time the size of events being buffered is lower than it. Supported only on emitters implementing `pause()` and `resume()` methods.

#### Default

    1

- Defined in node_modules/@types/node/events.d.ts:100

### `Optional` signal

signal?: AbortSignal

Can be used to cancel awaiting events.

Inherited from StaticEventEmitterOptions.signal

- Defined in node_modules/@types/node/events.d.ts:82